> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Get user information</br></br>In order to get data, must use either UserId or both streamProviderId and streamProviderType of the user identity

## OpenAPI

````json GET /users/{USER_ID}
{
  "openapi": "3.0.3",
  "info": {
    "title": "CommBox API",
    "x-logo": {
      "url": "https://www.commbox.io/logo/commbox_logo_large.png"
    },
    "version": "2.07",
    "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
    "contact": {
      "name": "commbox",
      "url": "https://www.commbox.io",
      "email": "contactus@commbox.io"
    }
  },
  "servers": [
    {
      "url": "https://api.commbox.io/",
      "description": "Production server"
    }
  ],
  "paths": {
    "/users/{USER_ID}": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get User",
        "description": "Get user information</br></br>In order to get data, must use either UserId or both streamProviderId and streamProviderType of the user identity",
        "operationId": "Get_User",
        "parameters": [
          {
            "name": "USER_ID",
            "in": "path",
            "description": "User ID. This is a commbox generated number",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/USER_ID/schema"
            }
          },
          {
            "name": "streamProviderId",
            "in": "query",
            "description": "Unique identifier by external provider (WhatsApp, email, etc.) for the original conversation (optional). When used, you must supply streamProviderType as well",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "streamProviderType",
            "in": "query",
            "description": "CommBox identification for the communication channel type of external provider – see Enums. Used with streamProviderId (optional)",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": 200
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation successful"
                    },
                    "response_time": {
                      "type": "string",
                      "example": "2024-08-06T07:51:52.2581942Z"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": "1769668,"
                        },
                        "firstName": {
                          "type": "string",
                          "example": "Bob"
                        },
                        "lastName": {
                          "type": "string",
                          "example": "Cohen"
                        },
                        "gender": {
                          "type": "string",
                          "example": "Male"
                        },
                        "phone1": {
                          "type": "string",
                          "example": 972547724967
                        },
                        "phone2": {
                          "type": "string",
                          "example": null
                        },
                        "uniqueId": {
                          "type": "string",
                          "example": 266684
                        },
                        "email": {
                          "type": "string",
                          "example": "redlich@appnext.com"
                        },
                        "content": {
                          "type": "string",
                          "example": "{}"
                        },
                        "permissionId": {
                          "type": "integer",
                          "example": 1
                        },
                        "numIdentities": {
                          "type": "integer",
                          "example": 2
                        },
                        "numObjects": {
                          "type": "integer",
                          "example": 0
                        },
                        "locale": {
                          "type": "string",
                          "example": "en_US"
                        },
                        "remarks": {
                          "type": "string",
                          "example": "test remark.."
                        },
                        "userTags": {
                          "type": "string",
                          "example": "[{\"id\":1007,\"name\":\"test\",\"group_name\":null}]"
                        },
                        "teamId": {
                          "type": "integer",
                          "example": 0
                        },
                        "identities": {
                          "type": "array",
                          "items": {
                            "oneOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "id": {
                                    "type": "integer",
                                    "example": 1957166
                                  },
                                  "userId": {
                                    "type": "integer",
                                    "example": 1769668
                                  },
                                  "numObjects": {
                                    "type": "integer",
                                    "example": 0
                                  },
                                  "userName": {
                                    "type": "string",
                                    "example": null
                                  },
                                  "streamProviderEmail": {
                                    "type": "string",
                                    "example": "redlich@appnext.com"
                                  },
                                  "streamProviderId": {
                                    "type": "string",
                                    "example": "redlich@appnext.com"
                                  },
                                  "streamProviderType": {
                                    "type": "integer",
                                    "example": 4
                                  },
                                  "firstName": {
                                    "type": "string",
                                    "example": "Bob"
                                  },
                                  "lastName": {
                                    "type": "string",
                                    "example": "Cohen"
                                  },
                                  "thumbnailUrl": {
                                    "type": "string",
                                    "example": null
                                  },
                                  "content": {
                                    "type": "string",
                                    "example": "{}"
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "properties": {
                                  "id": {
                                    "type": "integer",
                                    "example": 2158778
                                  },
                                  "userId": {
                                    "type": "integer",
                                    "example": 1769668
                                  },
                                  "numObjects": {
                                    "type": "integer",
                                    "example": 0
                                  },
                                  "userName": {
                                    "type": "string",
                                    "example": null
                                  },
                                  "streamProviderEmail": {
                                    "type": "string",
                                    "example": "bob.c100@gmail.com"
                                  },
                                  "streamProviderId": {
                                    "type": "string",
                                    "example": 972547724967
                                  },
                                  "streamProviderType": {
                                    "type": "integer",
                                    "example": 5
                                  },
                                  "firstName": {
                                    "type": "string",
                                    "example": "Bob"
                                  },
                                  "lastName": {
                                    "type": "string",
                                    "example": "Cohen"
                                  },
                                  "thumbnailUrl": {
                                    "type": "string",
                                    "example": null
                                  },
                                  "content": {
                                    "type": "string",
                                    "example": "{}"
                                  }
                                }
                              }
                            ]
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400
                    },
                    "description": {
                      "type": "string",
                      "example": "Bad Request"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 401
                    },
                    "description": {
                      "type": "string",
                      "example": "Unauthorized access"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found - The requested resource is not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 404
                    },
                    "description": {
                      "type": "string",
                      "example": "Not found"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 429
                    },
                    "description": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error - The server could not return the representation due to an internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 500
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation failed"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                },
                "example": {
                  "status": 500,
                  "description": "Operation failed",
                  "response_time": "2025-04-15T07:24:52.956691Z"
                }
              }
            }
          },
          "501": {
            "description": "Not Implemented - The requested operation is not supported"
          }
        }
      }
    }
  }
}
````

